打印

[18.04]cmake和libcurl3冲突导致安装失败

[18.04]cmake和libcurl3冲突导致安装失败

18.04里cmake依赖libcurl4而不是libcurl3,导致依赖冲突
复制内容到剪贴板
代码:
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  cmake-data libarchive13 libjsoncpp1 liblzo2-2 librhash0 libuv1
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  cmake curl libcurl4 libcurl4-openssl-dev
The following NEW packages will be installed:
  libcurl3
0 upgraded, 1 newly installed, 4 to remove and 0 not upgraded.
Need to get 214 kB of archives.
没有cmake导致mariadb或者boost安装失败
复制内容到剪贴板
代码:
[+] Installing mariadb-10.2.14...
Uncompress mariadb-10.2.14.tar.gz...
cd mariadb-10.2.14...
include/mariadb.sh: line 387: cmake: command not found
make: *** No targets specified and no makefile found.  Stop.
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target 'install'.  Stop.
[ 本帖最后由 lilunxm12 于 2018-4-26 05:12 编辑 ]

TOP

改成libcurl4之后没有依赖错误了,编译能过但是在连接的时候还是出错....
不尝鲜了,滚回去用debian9......

TOP

回复 2# 的帖子

18.04没正式发布没法,建议上传完整日志看一下

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

回复 3# 的帖子

24小时内就会发布了,现在测和明天看99%没区别...
系统已经回滚到debian9了,具体哪里错不知道了,但libcurl3和cmake的冲突问题是跑不掉的

TOP

我也是18.04

下面有我的安装失败信息  看一下
附件: 您所在的用户组无法下载或查看附件

TOP

回复 3# 的帖子

Linode已经出18.04的镜像了

TOP

1.5已经适配 ubuntu 18.04

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

回复 7# 的帖子

谢谢军哥,我去试试:) :) :)

TOP